@inject Microsoft.Extensions.Localization.IStringLocalizer<App> Localize
@using Microsoft.AspNetCore.Components.Forms
@inject SessionData SD
@inject IJSRuntime JSRuntime
@using BioMap
@implements IDisposable

<Row>
  <Column>
    <Field Horizontal="true">
      <FieldLabel ColumnSize="ColumnSize.IsFull.OnTablet.Is4.OnDesktop">@Localize["Origin"]</FieldLabel>
      <FieldBody ColumnSize="ColumnSize.IsFull.OnTablet.Is8.OnDesktop">
        <Select TValue="string" @bind-SelectedValue="SD.Filters.CaptivityBredFilter">
          <SelectItem TValue="string" Value="@("")">@Localize["All"]</SelectItem>
          <SelectItem TValue="string" Value="@("1")">@Localize["Bred in captivity"]</SelectItem>
          <SelectItem TValue="string" Value="@("0")">@Localize["Wild"]</SelectItem>
        </Select>
      </FieldBody>
    </Field>
  </Column>
</Row>

@code {

  protected override void OnInitialized() {
    SD.Filters.FilterChanged += this.FilterChanged;
  }

  private void FilterChanged(object sender, EventArgs e) {
    this.InvokeAsync(() => this.StateHasChanged());
  }

  public void Dispose() {
    SD.Filters.FilterChanged -= this.FilterChanged;
  }
}
